Bug 493538 - [radeon test day] Wrong default resolution with external monitor
[radeon test day] Wrong default resolution with external monitor
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-02 03:38 EDT by Jan Safranek
Modified: 2009-11-06 07:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-06 07:29:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log of X server (77.29 KB, text/plain)
2009-04-14 03:19 EDT, Jan Safranek
no flags Details
dmesg output (64.96 KB, text/plain)
2009-04-14 03:19 EDT, Jan Safranek
no flags Details
/var/log/dmesg with drm.debug=1 (69.70 KB, text/plain)
2009-04-16 03:33 EDT, Jan Safranek
no flags Details
dmesg output with drm.debug=1 after GDM login screen appeared (64.16 KB, text/plain)
2009-04-16 03:40 EDT, Jan Safranek
no flags Details

  None (edit)
Description Jan Safranek 2009-04-02 03:38:39 EDT
Description of problem:
I have Lenovo T60 notebook with external LCD attached. When I boot the Radeon test day live CD, I get resolution 1024x768 on both displays. But the T60 screen has 1400x1050 native, external LCD has 1280x1024 -> I expect X11 with 1280x1024.

In addition, display properties do not show resolution 1280x1024 at all. I must turn off mirror mode and I then see correct resolutions of each display.

How reproducible:

Steps to Reproduce:
1. Boot with the live cd and wait

Actual results:
Screen is blurry, resolution is 1024x768

Expected results:
1280x1024 screen

Additional info:
With nomodeset=1, I get correctly 1280x1024.

xrandr output:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 305mm x 228mm
   1400x1050      60.0 +   50.0
   1024x768       60.0*
   800x600        60.3
   640x480        60.0
   0x0             0.0
DVI-0 connected 1024x768+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0 +   75.0
   1024x768       75.1     60.0*
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1
   0x0             0.0

Smolt profile: http://smolt.fedoraproject.org/show?uuid=pub_982aff34-6a6f-47c8-9782-d07a57c06757+

Ati HW: ATI Technologies Inc Radeon Mobility X1400

/* I am quite happy something boots and works out of the box, therefore low prio. */
Comment 1 Matěj Cepl 2009-04-06 12:18:47 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 François Cami 2009-04-06 16:19:42 EDT
Please attach dmesg from KMS attempt as well (no nomodeset=1).
Comment 3 Jan Safranek 2009-04-14 03:19:19 EDT
Created attachment 339439 [details]
log of X server
Comment 4 Jan Safranek 2009-04-14 03:19:45 EDT
Created attachment 339440 [details]
dmesg output
Comment 5 Jan Safranek 2009-04-14 03:22:03 EDT
Attached logs are from the Radeon test day live CD. There is no xorg.conf on the CD.
Comment 6 François Cami 2009-04-15 17:24:21 EDT

Thanks for the logs. Could you please add full dmesg with drm.debug=1 specified on the kernel command line in grub too ? That would be useful as well.

Fedora Bugzappers volunteer triage team
Comment 7 Jan Safranek 2009-04-16 03:33:43 EDT
Created attachment 339805 [details]
/var/log/dmesg with drm.debug=1

dmesg buffer is too small to gather all the debug output, here is first part from /var/log/dmesg
Comment 8 Jan Safranek 2009-04-16 03:40:05 EDT
Created attachment 339806 [details]
dmesg output with drm.debug=1 after GDM login screen appeared

and here is last part - I switched to VT2 at the time when GDM appeared and redirected dmesg to a file.
Comment 9 Jan Safranek 2009-04-16 03:47:50 EDT
IMHO there is huge part missing between /var/log/dmesg and dmesg output after boot. In theory it should be in /var/log/messages, but it's content seems useless to me, it looks like more threads were writing to the same file in parallel (weird, syslogd should handle that):

kernel: 4m:drm_fence_buffer_objects] Fenced 7>[0x0000ely signaled ed7c27e0
kernel: gem_mma230>[drm[drm:radeon_ge92, c7>, authl]map_loage offset = 0x1011d2
kernel: ate_ioctl] obj is ed7b32d0 bo cmd=dmap_ioct00,rm:drmm:radeon_gem_mmap_i
kernel: <700, ae c0 2553= 00x000ed7b3090 0

The most interesting is /var/log/dmesg:
[drm:drm_helper_probe_single_connector_modes] Probed modes for LVDS-1
[drm:drm_mode_debug_printmodeline] Modeline 16:"1400x1050" 60019 108000 1400 1448 1560 1688 1050 1051 1054 1066 0x48 0xa
[drm:drm_mode_debug_printmodeline] Modeline 17:"1400x1050" 50015 90000 1400 1448 1560 1688 1050 1051 1054 1066 0x40 0xa
[drm:drm_mode_debug_printmodeline] Modeline 14:"1024x768" 60003 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa

1280x1024 is not listed there, although my notebook can handle it (at least with nomodeset=1).
Comment 10 François Cami 2009-04-16 17:49:11 EDT
Thank you Jan, switching to ASSIGNED.

Fedora Bugzappers volunteer triage team
Comment 11 Bug Zapper 2009-06-09 09:04:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 12 Matěj Cepl 2009-11-05 13:24:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Jan Safranek 2009-11-06 07:29:48 EST
Works in Fedora 11 live CD, desktop has the greatest resolution common for both display devices.

Fedora 12 Beta live CD no longer uses mirror mode, both displays have correct native resolutions.

Note You need to log in before you can comment on or make changes to this bug.